'Beispielcode für einen Singelton'
from singleton import Singleton


class Game(metaclass=Singleton):
    'Beispielklasse für einen Singelton. Kann nur seinen Namen merken.'
    _name = 'New unnamed Game'

    def __init__(self):
        pass

    def set_name(self, name) -> None:
        'Setzt Namen vom Spiel'
        self._name: str = name

    def __str__(self) -> str:
        return self.get_name()

    def __repr__(self) -> str:
        return f'game: {self.get_name()}'

    def get_name(self) -> str:
        'Gibt Namen vom Spiel'
        return self._name
